net.minecraft.stats

## Class StatBase

- java.lang.Object
- - net.minecraft.stats.StatBase

- Direct Known Subclasses:
    Achievement, StatBasic, StatCrafting

      public class StatBase
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IStatType` | `distanceStatType`
    `static IStatType` | `field_111202_k`
    `boolean` | `isIndependent`
    `static IStatType` | `simpleStatType`
    `java.lang.String` | `statId`
    `static IStatType` | `timeStatType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatBase(java.lang.String p_i45308_1_, IChatComponent p_i45308_2_)`
    `StatBase(java.lang.String p_i45307_1_, IChatComponent p_i45307_2_, IStatType p_i45307_3_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object par1Obj)`
    `IChatComponent` | `func_150951_e()`
    `IScoreObjectiveCriteria` | `func_150952_k()`
    `StatBase` | `func_150953_b(java.lang.Class p_150953_1_)`
    `java.lang.Class` | `func_150954_l()`
    `IChatComponent` | `func_150955_j()`
    `java.lang.String` | `func_75968_a(int par1)`
    `int` | `hashCode()`
    `StatBase` | `initIndependentStat()`
    `boolean` | `isAchievement()`
    `StatBase` | `registerStat()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### statId

          public final java.lang.String statId

    - #### isIndependent

          public boolean isIndependent

    - #### simpleStatType

          public static IStatType simpleStatType

    - #### timeStatType

          public static IStatType timeStatType

    - #### distanceStatType

          public static IStatType distanceStatType

    - #### field_111202_k

          public static IStatType field_111202_k

  - ### Constructor Detail

    - #### StatBase

          public StatBase(java.lang.String p_i45307_1_,
                  IChatComponent p_i45307_2_,
                  IStatType p_i45307_3_)

    - #### StatBase

          public StatBase(java.lang.String p_i45308_1_,
                  IChatComponent p_i45308_2_)

  - ### Method Detail

    - #### initIndependentStat

          public StatBase initIndependentStat()

    - #### registerStat

          public StatBase registerStat()

    - #### isAchievement

          public boolean isAchievement()

    - #### func_75968_a

          public java.lang.String func_75968_a(int par1)

    - #### func_150951_e

          public IChatComponent func_150951_e()

    - #### func_150955_j

          public IChatComponent func_150955_j()

    - #### equals

          public boolean equals(java.lang.Object par1Obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### func_150952_k

          public IScoreObjectiveCriteria func_150952_k()

    - #### func_150954_l

          public java.lang.Class func_150954_l()

    - #### func_150953_b

          public StatBase func_150953_b(java.lang.Class p_150953_1_)